GET CRMScript/{id}
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
GET /api/v1/CRMScript/{id}
Gets a CRMScriptEntity object.
Calls the CRMScript agent service GetCRMScriptEntity. NsApiSlow threshold: 5000 ms.
Online Restricted: ## The CRMScript agent is not available in Online by default. Access must be requested specifically when app is registered.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The id of the CRMScriptEntity to return. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
GET /api/v1/CRMScript/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
CRMScriptEntity found.
| Response | Description |
|---|---|
| 200 | CRMScriptEntity found. |
| 404 | Not Found. |
Response body: CRMScriptEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| EjscriptId | int32 | Primary key |
| UniqueIdentifier | string | Global unique identifier, accross customers/tenants |
| Name | string | A description of this script |
| Description | string | Optional description of what this script is used for. |
| IncludeId | string | A unique name used for including this script in another |
| AccessKey | string | Access key used to run this script on the customer pages |
| HierarchyId | int32 | The script is inside this hierarchy folder |
| Source | string | The script |
| SourceCode | string | Contains the source code of the script |
| ScriptType | string | The type/language of this script |
| HtmlOutput | int32 | True if this script will return HTML output |
| Includes | array | The unique ids of all depencies of this script (all resolved includes) |
| SourceMaps | array | The source maps for this script |
| ValidationResult | CRMScriptResult | The result of a validation of a TypeScript when saving |
| Registered | date-time | Registered when in UTC. |
| RegisteredAssociateId | int32 | Registered by whom |
| Updated | date-time | Last updated when in UTC. |
| UpdatedAssociateId | int32 | Last updated by whom |
| BlockedVerbs | string | The verbs that are blocked when calling a ejscript over HTTP |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
GET /api/v1/CRMScript/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Sample response
HTTP/1.1 200 CRMScriptEntity found.
Content-Type: application/json; charset=utf-8
{
"EjscriptId": 751,
"UniqueIdentifier": "et",
"Name": "Halvorson, Spencer and Barton",
"Description": "Expanded incremental task-force",
"IncludeId": "veritatis",
"AccessKey": "nisi",
"HierarchyId": 381,
"Source": "officia",
"SourceCode": "inventore",
"ScriptType": "CRMScript",
"HtmlOutput": 822,
"Includes": [
999,
117
],
"SourceMaps": [
{
"LineNumberFrom": 971,
"LineNumberTo": 126,
"Delta": 750,
"IncludeId": "voluptatem",
"IncludedFrom": [
"voluptas",
"a"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 125
}
}
}
],
"ValidationResult": null,
"Registered": "2008-12-29T14:34:01.8459763+01:00",
"RegisteredAssociateId": 405,
"Updated": "2013-07-15T14:34:01.8459763+02:00",
"UpdatedAssociateId": 696,
"BlockedVerbs": "BlockAll",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 343
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}